import type FuseOptions from 'fuse.js';
import { ReactNode } from 'react';
interface Props<T> {
    items: T[];
    renderListItem: (item: T) => ReactNode;
    searchQuery: string;
    searchKeys: string[];
    pinnedItems?: T[];
    fuseOptions?: FuseOptions<T>;
}
export declare const SearchableList: <T>({ items, pinnedItems, renderListItem, searchQuery, searchKeys, fuseOptions, }: Props<T>) => import("react/jsx-runtime").JSX.Element;
export {};
